package com.dsk.biz.mapper;


import com.dsk.biz.domain.BusinessLabel;
import com.dsk.biz.domain.bo.BusinessIdDto;

import java.util.List;

/**
 * 项目标签Mapper接口
 *
 * @date 2023-05-17
 */
public interface BusinessLabelMapper
{
    /**
     * 查询项目标签
     *
     * @param id 项目标签主键
     * @return 项目标签
     */
    public BusinessLabel selectBusinessLabelById(Long id);

    /**
     * 查询项目标签列表
     *
     * @param businessLabel 项目标签
     * @return 项目标签集合
     */
    public List<BusinessLabel> selectBusinessLabelList(BusinessLabel businessLabel);

    /**
     * 新增项目标签
     *
     * @param businessLabel 项目标签
     * @return 结果
     */
    public int insertBusinessLabel(BusinessLabel businessLabel);

    /**
     * 修改项目标签
     *
     * @param businessLabel 项目标签
     * @return 结果
     */
    public int updateBusinessLabel(BusinessLabel businessLabel);

    /**
     * 删除项目标签
     *
     * @param dto 项目主键
     * @return 结果
     */
    public int deleteBusinessLabelById(BusinessIdDto dto);

    /**
     * 批量删除项目标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessLabelByIds(Long[] ids);
}
